package _03_静态方法和非静态方法访问规则;

public class Student {
    // 成员变量
    private String name;
    private int age;
    // 静态变量
    public static String teacherName;


    /**
     *
     * 两个方法一个静态方法一个非静态方法
     *
     */
    public void study(){

        System.out.println("学习");
        // 成员变量
        System.out.println(name);
        // 静态变量
        System.out.println(teacherName);
        // 成员方法
        eat();
        // 静态方法
        sleep();
    }

    public void eat(){
        System.out.println("吃饭");
    }

    /**
     * 静态方法当中没有this
     * this 是当前调用对象地址值
     * static 归类所有跟对象没有关系
     *
     * static : 只能够访问静态变量和静态方法
     */
    public static void sleep(){
        System.out.println("睡觉");
//        eat();
        // 静态变量
        System.out.println(teacherName);
        // 静态方法
        game();
    }

    public static void game(){
        System.out.println("打游戏");
    }

    public Student(String name, int age) {
        this.name = name;
        this.age = age;
    }
}
